Package ru.bitel.bgbilling.plugins.assistant.common.bean

# Enum Class AssistantButton

java.lang.Object
java.lang.Enum<AssistantButton>
ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantButton

All Implemented Interfaces:
  `Serializable`, `Comparable<AssistantButton>`, `Constable`

public enum AssistantButton extends Enum<AssistantButton>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BUTTON_1`
  `BUTTON_2`
  `BUTTON_3`
  `BUTTON_4`
  `BUTTON_CANCEL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AssistantButton`
  `getAssistantButtonByCode(String code)`
  `String`
  `getCode()`
  `String`
  `getTitle()`
  `static AssistantButton`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AssistantButton[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BUTTON_1

    public static final AssistantButton BUTTON_1

  - ### BUTTON_2

    public static final AssistantButton BUTTON_2

  - ### BUTTON_3

    public static final AssistantButton BUTTON_3

  - ### BUTTON_4

    public static final AssistantButton BUTTON_4

  - ### BUTTON_CANCEL

    public static final AssistantButton BUTTON_CANCEL

- ## Method Details

  - ### values

    public static AssistantButton[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AssistantButton valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public String getCode()

  - ### getTitle

    public String getTitle()

  - ### getAssistantButtonByCode

    public static AssistantButton getAssistantButtonByCode(String code)